<?php



class ComisionadosContratoMapBuilder {

	
	const CLASS_NAME = 'lib.model.map.ComisionadosContratoMapBuilder';

	
	private $dbMap;

	
	public function isBuilt()
	{
		return ($this->dbMap !== null);
	}

	
	public function getDatabaseMap()
	{
		return $this->dbMap;
	}

	
	public function doBuild()
	{
		$this->dbMap = Propel::getDatabaseMap('propel');

		$tMap = $this->dbMap->addTable('COMISIONADOS_CONTRATO');
		$tMap->setPhpName('ComisionadosContrato');

		$tMap->setUseIdGenerator(false);

		$tMap->addForeignPrimaryKey('ID_COMISION', 'IdComision', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addForeignPrimaryKey('NITOCC', 'Nitocc', 'double' , CreoleTypes::NUMERIC, 'TERCEROS', 'NITOCC', true, 22);

		$tMap->addForeignKey('ID_TRANSPORTE', 'IdTransporte', 'double', CreoleTypes::NUMERIC, 'TRANSPORTES', 'ID', false, 22);

		$tMap->addColumn('SUELDO', 'Sueldo', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('CARGO', 'Cargo', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('FECHA_SALIDA', 'FechaSalida', 'int', CreoleTypes::DATE, false, null);

		$tMap->addColumn('DIAS', 'Dias', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addForeignKey('CODREG', 'Codreg', 'string', CreoleTypes::VARCHAR, 'REGIONALES', 'CODREG', false, 20);

		$tMap->addColumn('TOTAL_COMISION', 'TotalComision', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('ESTADO', 'Estado', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('FECHA_REGRESO', 'FechaRegreso', 'int', CreoleTypes::DATE, false, null);

		$tMap->addForeignPrimaryKey('VIGENCIA', 'Vigencia', 'double' , CreoleTypes::NUMERIC, 'COMISIONES', 'VIGENCIA', true, 22);

		$tMap->addColumn('GASTOS_TAXIS', 'GastosTaxis', 'double', CreoleTypes::NUMERIC, false, 22);

		$tMap->addColumn('DIAS_MANU', 'DiasManu', 'double', CreoleTypes::NUMERIC, false, 22);

	} 
} 